#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDA,0x5B,0x66,0xF6,0x31,0x9E,0xB5,0x2B,0x0C,0x68,0x60,0x0B,
		0xE3,0x47,0x01,0xD6,0xC4,0x89,0x19,0x79,0x88,0x98,0xDF,0xD4,
		0xAB,0xC2,0x0F,0xB5,0x4D,0xC1,0x0B,0xBB,0xC0,0xE1,0xCF,0xB7,
		0x46,0x70,0xB9,0x6E,0x3B,0x82,0xB8,0xBF,0x27,0x88,0xE3,0xB0,
		0xBA,0x1A,0x25,0xB5,0x49,0xA6,0x7A,0x3C,0xC4,0xA6,0xFA,0x68,
		0xB5,0x80,0xB1,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
